package storage

import (
	"xbus.io/go-xbus/api"
)

// PasswordStorage stores passwords in a safe manner
type PasswordStorage interface {
	Set(id api.UUID, password string)
	Reset(id api.UUID)
	Verify(id api.UUID, password string) bool
}
